%define    date 2006-11-12
%define    rel r497
Name:      kradio
License:   GPLv2
Summary:   V4L/V4L2-Radio Application for KDE
Version:   %{rel}.20061112
Release:   5%{?dist}
Url:       http://sourceforge.net/projects/kradio
Group:     Applications/Multimedia
Source:    kradio-snapshot-%{date}-%{rel}.tar.bz2
Source1:   unsermake.tar.gz
Source2:   Doxyfile.tar.gz
Patch:     lirc.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Buildrequires: autoconf >= 2.5 automake >= 1.6.1
Buildrequires: alsa-lib-devel
Buildrequires: gcc-c++ gettext flex doxygen graphviz
Buildrequires: qt3-devel >= 3.2 
Buildrequires: kdelibs3-devel >= 3.2 
Buildrequires: lame-devel 
Buildrequires: lirc-devel 
Buildrequires: libogg-devel 
Buildrequires: libsndfile-devel
Buildrequires: libvorbis-devel

%description
A comfortable V4L/V4L2-Radio Application for KDE.

KRadio is a comfortable radio application for KDE with support for 
V4L and V4L2 radio card drivers.

KRadio currently provides:

* V4L/V4L2 Radio support
* Remote Control support (LIRC)
* Alarms, Sleep Countdown
* Several GUI Controls (Docking Menu, Station Quickbar, Radio Display)
* Timeshifter Capability
* Recording Capabilities (mp3, ogg/vorbis, wav, ...)
* Extendable Plugin Architecture

This Package also includes a growing collection of station preset
files for many cities around the world contributed by KRadio Users.

As KRadio is based on an extendable plugin architecture, contributions
of new plugins (e.g. Internet Radio Streams, new cool GUIs) are welcome.

%prep
%setup -q -a 2 -n %{name}-snapshot-%{date}-%{rel}
%patch -p1 -b .lirc
tar -zxvf %{SOURCE1} -C %{_builddir}

%build
PATH=$PATH:%{_builddir}/unsermake ; export PATH
./configure --prefix=%{_prefix} --disable-rpath
unsermake
doxygen
  
%install
rm -rf %{buildroot}
export QA_RPATHS=0x0001
PATH=$PATH:%{_builddir}/unsermake ; export PATH
mkdir -p %{buildroot}%{_prefix}
unsermake install prefix=%{buildroot}%{_prefix}
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp %{buildroot}%{_datadir}/apps/kradio/icons/hicolor/48x48/apps/kradio.png \
   %{buildroot}%{_datadir}/pixmaps/kradio.png
cp -R %{_builddir}/%{name}-snapshot-%{date}-%{rel}/man/ \
      %{buildroot}%{_datadir}/
find %{_builddir} -type f -name '*.map' -a -size 0 -exec rm -f {} \;
find %{_builddir} -type f -name installdox -exec rm -f {} \;
%find_lang %{name}.\*

%clean
rm -rf %{buildroot}
rm -rf %{_builddir}/unsermake

%files -f %{name}.\*.lang
%defattr(-,root,root)
%doc kradio3/{AUTHORS,ChangeLog,INSTALL,dot-lircrc.example,README,REQUIREMENTS,TODO,TODO.kdetestscripts} html
%{_bindir}/kradio
%{_bindir}/convert-presets
%{_datadir}/applications/kde/*.desktop
%{_datadir}/pixmaps/kradio.png
%{_libdir}/kradio/*
%{_datadir}/apps/kradio/*
%{_datadir}/man/man3/*

%changelog

* Wed Apr 01 2009 Paulo Roma <roma@lcg.ufrj.br> - r497.20061112-5
- Added BR alsa-lib-devel.

* Wed Jun 11 2008 Paulo Roma <roma@lcg.ufrj.br> - r497.20061112-4
- Changed BRs qt-devel for qt3-devel and kdelibs-devel for kdelibs3-devel.
- Patched for lirc support in F9.

* Fri May 09 2008 Paulo Roma <roma@lcg.ufrj.br> - r497.20061112-3
- Removed unneeded Requires.
- Using find_lang.
- Disabled rpath.
- Removed empty files.

* Sun Feb 04 2007 Paulo Roma <roma@lcg.ufrj.br> - r497.20061112-2.1
- Created Doxyfile for generating html docs and man pages.
- Added missing BRs.

* Sat Feb 03 2007 Paulo Roma <roma@lcg.ufrj.br> - r497.20061112-2
- Rebuilt for Fedora 6.
- Using unsermake.
- Updated to r497.20061112

* Wed Feb 08 2006 Paulo Roma <roma@lcg.ufrj.br> - r497.20061112-1
- Initial spec file.

